import popup from '$utils/tool/popup';

export default {

    weChat:{
        label:'微信',
        icon: require('../images/weChat.png'),
        color:'#00BE00',
        type:2
    },

    alipay:{
        label:'支付宝',
        icon: require('../images/alipay.png'),
        color:'#00a2ea',
        type:1
    },

    balance:{
        label:'钱包金币余额',
        format:'balanceIntroduce',
        check:function (vm,payMoney) {

            if (vm.$store.getters.integral < payMoney) {
                popup.$toast('余额不足');
            }

            return vm.$store.getters.integral >= payMoney;

        }
    }

}